swish-0.10.1.0: A semantic web toolkit.

Copyright | (c) 2011 2012 Douglas Burke
License | GPL V2
Maintainer | Douglas Burke
Stability | experimental
Portability | CPP, TypeFamilies, FlexibleInstances
Safe Haskell | None
Language | Haskell2010

Data.Interned.URI

Description

Support interning URIs.

Synopsis

- data InternedURI

# Documentation

data InternedURI Source #

An interned URI. The hashing is based on the reversed URI (as a string).

#### Instances

Instances details

Eq InternedURI Source # |
Instance details Defined in Data.Interned.URI Methods (==) :: InternedURI -> InternedURI -> Bool Source # (/=) :: InternedURI -> InternedURI -> Bool Source #
Ord InternedURI Source # |

Instance details

Defined in Data.Interned.URI

Methods

compare :: InternedURI -> InternedURI -> Ordering Source #

(<) :: InternedURI -> InternedURI -> Bool Source #

(<=) :: InternedURI -> InternedURI -> Bool Source #

(>) :: InternedURI -> InternedURI -> Bool Source #

(>=) :: InternedURI -> InternedURI -> Bool Source #

max :: InternedURI -> InternedURI -> InternedURI Source #

min :: InternedURI -> InternedURI -> InternedURI Source #

Show InternedURI Source # |
Instance details Defined in Data.Interned.URI Methods showsPrec :: Int -> InternedURI -> ShowS Source # show :: InternedURI -> String Source # showList :: [InternedURI] -> ShowS Source #
IsString InternedURI Source # |
Instance details Defined in Data.Interned.URI Methods fromString :: String -> InternedURI Source #
Interned InternedURI Source # |

Instance details

Defined in Data.Interned.URI

Associated Types

data Description InternedURI Source #

type Uninterned InternedURI Source #

Methods

describe :: Uninterned InternedURI -> Description InternedURI Source #

identify :: Id -> Uninterned InternedURI -> InternedURI Source #

seedIdentity :: p InternedURI -> Id Source #

cacheWidth :: p InternedURI -> Int Source #

modifyAdvice :: IO InternedURI -> IO InternedURI Source #

cache :: Cache InternedURI Source #

Uninternable InternedURI Source # |
Instance details Defined in Data.Interned.URI Methods unintern :: InternedURI -> Uninterned InternedURI Source #
Eq (Description InternedURI) Source # |
Instance details Defined in Data.Interned.URI Methods (==) :: Description InternedURI -> Description InternedURI -> Bool Source # (/=) :: Description InternedURI -> Description InternedURI -> Bool Source #
Hashable (Description InternedURI) Source # |
Instance details Defined in Data.Interned.URI Methods hashWithSalt :: Int -> Description InternedURI -> Int Source # hash :: Description InternedURI -> Int Source #
type Uninterned InternedURI Source # |
Instance details Defined in Data.Interned.URI type Uninterned InternedURI = URI
data Description InternedURI Source # |
Instance details Defined in Data.Interned.URI data Description InternedURI = DU !URI